/* SECTION 1 (peacefull separation) */
.separation-container {
  width: 100%;
  padding: 0 46px;
}

.separation-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
  padding-top: 50px;
}

.separation-content {
  max-width: 472px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.separation-head-para {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.separation-head {
  max-width: 485px;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.separation-head-para p {
  max-width: 560px;
}

.separation-list-btn {
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.separation-point-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.separation-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.separation-point-icon {
  width: 26px;
  height: 26px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.separation-point-icon img {
  width: 26px;
  height: 26px;
  object-fit: contain;
}

.separation-talk-btn {
  max-width: 252px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  padding: 10px 16px;
  border-radius: 8px;
  height: 50px;
  border: 2px solid var(--color-green);
  background-color: var(--color-green);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.separation-talk-btn:hover {
  background-color: var(--color-white);
  color: var(--color-green);
  transition: all 0.2s ease;
}

.separation-talk-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.separation-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.separation-image img {
  max-width: 531px;
  width: 100%;
  min-width: 408px;
  height: auto;
  object-fit: contain;
}

@media (max-width: 1023.98px) {
  .separation-container {
    padding: 0 20px;
  }

  .separation-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .separation-content {
    max-width: 100%;
    gap: clamp(35px, 5.3vw, 40px);
    align-items: center;
  }

  .separation-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
    max-width: 532px;
    width: 100%;
  }

  .separation-head {
    gap: 3px;
  }

  .separation-head-para {
    max-width: 100%;
  }

  .separation-talk-btn {
    margin: 0 auto;
  }

  .separation-image img {
    min-width: unset;
    max-width: 408px;
  }
}

@media (max-width: 640.98px) {
  .separation-container {
    padding: 0 16px;
  }

  .separation-wrapper {
    padding: 50px 0;
    padding-top: 35px;
    gap: 35px;
  }

  .separation-point-item {
    align-items: flex-start;
  }

  .separation-point-icon {
    margin-top: 5px;
    width: 20px;
    height: 20px;
  }

  .separation-point-icon img {
    width: 20px;
    height: 20px;
  }
}

/* SECTION 2 (key condition for mutual divorce) */
.mutual-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-mist-green);
}

.mutual-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
}

.mutual-visual {
  max-width: 545px;
  width: 100%;
  min-height: 561px;
  position: relative;
  flex-shrink: 0;
}

.mutual-visual-deco-block {
  position: absolute;
  top: 0;
  left: 0;
  width: 163px;
  height: 199px;
  border-radius: 18px;
  background-color: #31d822;
}

.mutual-visual-deco-circle {
  position: absolute;
  top: -2px;
  left: 382px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.mutual-visual-deco-circle img {
  max-width: clamp(100px, 9.75vw, 124px);
  width: 100%;
  height: auto;
  animation: rotateInfinite 18s linear infinite;
  transform-origin: center;
}

.mutual-image {
  position: absolute;
  top: 67px;
  left: 42px;
  max-width: 404px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 18px;
  overflow: hidden;
}

.mutual-image img {
  max-width: 404px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.mutual-experience-card {
  position: absolute;
  right: 0;
  bottom: 0;
  aspect-ratio: 174 / 143;
  max-width: 174px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px 6px;
  text-align: center;
  background-color: var(--color-green);
  color: var(--color-white);
  border-radius: 16px;
  box-shadow: 0 8px 22px rgba(0, 0, 0, 0.12);
}

.mutual-experience-card strong {
  font-size: 38px;
  line-height: 48px;
}

.mutual-content {
  max-width: 501px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 36px;
}

.mutual-head-para {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.mutual-head {
  display: flex;
  flex-direction: column;
  gap: 4px;
  max-width: 560px;
}

.mutual-head-para p {
  max-width: 540px;
}

.mutual-point-list {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.mutual-point-item {
  display: flex;
  align-items: center;
  gap: 14px;
}

.mutual-point-icon {
  width: 26px;
  height: 26px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.mutual-point-icon img {
  width: 26px;
  height: 26px;
  object-fit: contain;
}

@media (max-width: 1100px) {
  .mutual-wrapper {
    gap: 32px;
  }

  .mutual-visual {
    max-width: 443px;
    min-height: 462px;
  }

  .mutual-image {
    top: 55px;
    left: 35px;
    max-width: unset;
    width: unset;
  }

  .mutual-image img {
    max-width: 329px;
  }

  .mutual-visual-deco-circle {
    top: -10px;
    left: unset;
    right: 16px;
  }

  .mutual-experience-card {
    max-width: 143px;
    max-height: 117px;
    padding: 16px 6px;
  }
}

@media (max-width: 1023.98px) {
  .mutual-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .mutual-content {
    max-width: 708px;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .mutual-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
    max-width: 100%;
    width: 100%;
  }

  .mutual-head-para p {
    max-width: 100%;
  }
}

@media (max-width: 640.98px) {
  .mutual-container {
    padding: 0 10px;
  }

  .mutual-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .mutual-content {
    padding: 0 6px;
  }

  .mutual-point-icon img {
    width: 20px;
    height: 20px;
  }
}

@media (max-width: 480px) {
  .mutual-visual {
    aspect-ratio: 355 / 371;
    max-width: 355px;
    height: auto;
    min-height: unset;
  }

  .mutual-image {
    left: 35px;
    top: 43px;
  }

  .mutual-visual-deco-block {
    max-width: 106px;
    height: 130px;
  }

  .mutual-image img {
    max-width: 260px;
  }

  .mutual-visual-deco-circle {
    top: -4px;
    right: 20px;
  }

  .mutual-visual-deco-circle img {
    max-width: 80px;
  }

  .mutual-experience-card {
    max-width: 106px;
    padding: 3px;
  }

  .mutual-experience-card strong {
    font-size: 30px;
    line-height: 40px;
    font-weight: 600;
  }
}

/* SECTION 3 (can be settled together) */
.settled-container {
  width: 100%;
  padding: 0 30px;
}

.settled-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
  position: relative;
}

.settled-spark-deco {
  position: absolute;
  display: flex;
  bottom: 95px;
  left: 35%;
  justify-content: center;
  align-items: center;
}

.settled-spark-deco img {
  animation: rotateInfinite 16s linear infinite;
  transform-origin: center;
}

.settled-content {
  max-width: 489px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.settled-head-para {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.settled-head {
  max-width: 455px;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.settled-head-para p {
  max-width: 475px;
}

.settled-point-btn {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.settled-point-list {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.settled-point-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.settled-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.settled-point-icon img {
  width: 24px;
  height: 24px;
  object-fit: contain;
}

.settled-visual {
  aspect-ratio: 546 / 511;
  max-width: clamp(433px, 42.66vw, 546px);
  width: 100%;
  height: auto;
  position: relative;
  flex-shrink: 0;
}

.settled-image {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  border-radius: 8px;
}

.settled-image-primary {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

.settled-image-primary img {
  max-width: clamp(262px, 25.7vw, 329px);
  width: 100%;
  height: auto;
  object-fit: cover;
}

.settled-stat-card {
  position: absolute;
  top: clamp(45px, 4.5vw, 58px);
  right: 0;
  max-width: 223px;
  width: 100%;
  min-height: 94px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px 6px;
  text-align: center;
  background-color: var(--color-white);
  border-radius: 18px;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.25);
  z-index: 6;
}

.settled-stat-card strong {
  font-size: 26px;
  line-height: 36px;
  font-weight: 600;
  color: var(--color-green);
}

.settled-stat-card p {
  font-size: 15px;
  line-height: 24px;
  font-weight: 500;
}

.settled-image-secondary {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 5;
  border-top: 10px solid var(--color-white);
  border-left: 10px solid var(--color-white);
}

.settled-image-secondary img {
  max-width: clamp(289px, 28.6vw, 366px);
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 8px;
}

@media (max-width: 1100px) {
  .settled-spark-deco {
    left: 43%;
  }

  .settled-stat-card {
    max-width: 177px;
    min-height: 75px;
    padding: 8px 6px;
    right: 18px;
  }
}

@media (max-width: 1023.98px) {
  .settled-container {
    padding: 0 20px;
  }

  .settled-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .settled-spark-deco {
    left: unset;
    right: 66px;
    top: 50%;
    bottom: unset;
  }

  .settled-spark-deco img {
    width: 40px;
    height: 40px;
  }

  .settled-content {
    max-width: 708px;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .settled-head-para {
    max-width: 562px;
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .settled-head-para p {
    max-width: 100%;
  }
}

@media (max-width: 640.98px) {
  .settled-container {
    padding: 0 16px;
  }

  .settled-wrapper {
    padding: 50px 0;
  }

  .settled-spark-deco {
    right: 24px;
    top: 48%;
  }

  .settled-spark-deco img {
    width: 20px;
    height: 20px;
  }
}

@media (max-width: 480px) {
  .settled-visual {
    max-width: 343px;
  }

  .settled-image-primary img {
    max-width: 207px;
  }

  .settled-image-secondary {
    border-top: 6px solid var(--color-white);
    border-left: 6px solid var(--color-white);
  }

  .settled-image-secondary img {
    max-width: 229px;
  }

  .settled-stat-card {
    max-width: 140px;
    height: 59px;
    border-radius: 9px;
    min-height: unset;
    top: 36px;
    right: 12px;
  }

  .settled-stat-card strong {
    font-size: 22px;
    line-height: 32px;
  }
}

/* SECTION 4 (mutual divorce works in court) */
.works-container {
  width: 100%;
  padding: 0 50px;
  background-color: var(--color-mist-green);
}

.works-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
}

.works-content {
  max-width: 558px;
  width: 100%;
  min-width: 480px;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.works-head-para {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.works-head {
  max-width: 540px;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.works-image {
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  border-radius: 14px;
}

.works-image img {
  max-width: 558px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.works-card-list {
  max-width: 589px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.works-card {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  padding: 12px 16px;
  background-color: var(--color-white);
  border-radius: 18px;
  transition: all 0.2s ease;
}

.works-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.works-card:hover > .works-card-main > .works-card-text h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.works-card:hover > .works-card-main > .works-card-icon.c1 img {
  content: url("../../assets/icons/file2-white-hover-icn.svg");
}

.works-card:hover > .works-card-main > .works-card-icon.c2 img {
  content: url("../../assets/icons/timer-white-hover-icn.svg");
}

.works-card:hover > .works-card-main > .works-card-icon.c3 img {
  content: url("../../assets/icons/files-with-bell-white-hover-icn.svg");
}

.works-card:hover > .works-card-main > .works-card-icon.c4 img {
  content: url("../../assets/icons/final-order-white-hover-icn.svg");
}

.works-card-main {
  display: flex;
  align-items: flex-start;
  gap: 22px;
}

.works-card-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  margin-top: 4px;
}

.works-card-icon img {
  width: 30px;
  height: 34px;
  object-fit: contain;
}

.works-card-text {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.works-card-text h3 {
  font-size: 20px;
  line-height: 30px;
  font-weight: 700;
}

.works-card-arrow {
  width: 37px;
  height: 37px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  background-color: var(--color-mist-green);
  border-radius: 50%;
}

.works-card-arrow img {
  width: 14px;
  height: 12px;
  object-fit: contain;
}

@media (max-width: 1023.98px) {
  .works-container {
    padding: 0 20px;
  }

  .works-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .works-content {
    max-width: 100%;
    align-items: center;
    text-align: center;
    gap: clamp(35px, 5.3vw, 40px);
    min-width: unset;
  }

  .works-head-para {
    gap: 10px;
    align-items: center;
  }

  .works-head {
    gap: 2px;
  }

  .works-head-para p {
    max-width: 354px;
  }

  .works-image img {
    max-width: 480px;
  }

  .works-card-list {
    max-width: 586px;
  }

  .works-card-text h3 {
    font-size: 18px;
    line-height: 26px;
    font-weight: 600;
  }
}

@media (max-width: 640.98px) {
  .works-container {
    padding: 0 10px;
  }

  .works-wrapper {
    padding: 50px 0;
  }

  .works-head {
    padding: 0 10px;
  }

  .works-card-icon img {
    width: 28px;
    height: 33px;
  }
}

/* SECTION 5 (Mutual Consent divorce) */
.benefits-container {
  width: 100%;
  padding: 0 50px;
}

.benefits-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
  position: relative;
}

.benefits-content {
  max-width: 442px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.benefits-head-para {
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.benefits-head {
  max-width: 370px;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.benefits-point-list {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.benefits-point-item {
  display: flex;
  align-items: center;
  gap: 14px;
}

.benefits-point-icon {
  width: 22px;
  height: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.benefits-point-icon img {
  width: 22px;
  height: 22px;
  object-fit: contain;
}

.benefits-visual {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.benefits-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.benefits-image img {
  max-width: 577px;
  width: 100%;
  min-width: 420px;
  height: auto;
  object-fit: contain;
}

.benefits-deco {
  position: absolute;
  left: 40%;
  bottom: 122px;
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1023.98px) {
  .benefits-container {
    padding: 0 20px;
  }

  .benefits-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .benefits-image img {
    max-width: 420px;
    min-width: unset;
  }

  .benefits-content {
    max-width: 100%;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .benefits-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .benefits-head {
    max-width: 100%;
    gap: 3px;
  }
}

@media (max-width: 640.98px) {
  .benefits-container {
    padding: 0 16px;
  }

  .benefits-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .benefits-head {
    max-width: 312px;
  }

  .benefits-head-para p {
    max-width: 269px;
  }

  .benefits-point-list {
    gap: 13px;
  }
}
